Download it now!
Bug 129106 - EMF text is condensed and uses incorrect character spacing
Summary: EMF text is condensed and uses incorrect character spacing
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks: emf-testbed EMF-WMF 129138
  Show dependency treegraph
 
Reported: 2019-11-29 22:01 UTC by Chris Sherlock
Modified: 2020-07-11 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Word for Mac compared to Libreoffice (1.62 MB, image/png)
2019-11-29 22:02 UTC, Chris Sherlock
Details
Test EMF+ file (45.82 KB, image/x-emf)
2019-11-29 22:03 UTC, Chris Sherlock
Details
Test emf+ file in a Word document (21.21 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-11-29 22:04 UTC, Chris Sherlock
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Sherlock 2019-11-29 22:01:41 UTC
Description:
I am basing this test off of https://github.com/kakwa/libemf2svg/blob/master/tests/resources/emf/test-002.emf

The text is condensed and uses incorrect character spacing in the EMF+ file (see screenshot). 

Steps to Reproduce:
Open the attached EMF+ file in Draw. Compare this against the EMF+ file I have embedded in the docx file in Word (only way you can get EMF+ files opened in Word now).

Actual Results:
Text is condensed and has wrong character spacing. 

Expected Results:
Text should not be condensed, and spacing should be much closer together. 


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Chris Sherlock 2019-11-29 22:02:35 UTC
Created attachment 156192 [details]
Word for Mac compared to Libreoffice
Comment 2 Chris Sherlock 2019-11-29 22:03:37 UTC
Created attachment 156193 [details]
Test EMF+ file

Taken from https://github.com/kakwa/libemf2svg/blob/master/tests/resources/emf/test-002.emf
Comment 3 Chris Sherlock 2019-11-29 22:04:02 UTC
Created attachment 156194 [details]
Test emf+ file in a Word document
Comment 4 Chris Sherlock 2019-11-29 22:32:55 UTC
Note - this is not an EMF+ file, as I originally assumed. This is a pure EMF file.
Comment 5 V Stuart Foote 2019-11-30 01:02:15 UTC
Hi Chris,

I can not confirm on Windows builds, current master/6.5.0 nor 6.3.3.2 on Windows 10 Home 64-bit en-US (1903)

The EMF renders cleanly to Draw canvas as fully shaped Arial strings. Not compression.

Dumping the EMF it is coded as Arial, and that is what you show in your Word clip, as well as in your Draw clip--except the Arial font is pretty badly rendered to canvas by import filter.

What happens if in LibreOffice you set a font table substitution for another macOS resident font?  I just did on Windows builds with Linux Biolinum G for Arial -- replacements cleanly rendered.

Any improvement if something other than the EMF+ assigned font is used?
Comment 6 Commit Notification 2019-11-30 12:05:20 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3999f7001f4059a641858741fb2d2f7b5e45f452

tdf#129106 vcl: add SAL_INFO to show the dxArray intercharacter spacings

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 QA Administrators 2020-06-10 03:48:37 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-07-11 03:42:54 UTC
Dear Chris Sherlock,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp